Toybrick

楼主: jefferyzhang

[Latest Version] [1.3.2] rknn-toolkit & rknn-api for Toybrick

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-3-4 10:48:37 | 显示全部楼层
kexuejia 发表于 2020-3-4 10:39
您好,根据您的描述,requirement文件中其他包均已安装相应版本,但scipy安装过程出现错误,这个请问要如 ...

哥哥,你这个阿里云的源有问题,我们用官方源是正常的
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-3-4 10:49:01 | 显示全部楼层
tomyhome 发表于 2020-3-4 10:43
apt安装了一个版本,是1.1.1,就是因为这个安装不了新版本,所以才要问啊

我们试过了,没问题。。。你们不要去乱改官方源。
回复

使用道具 举报

kexuejia

新手上路

积分
42
发表于 2020-3-4 10:50:47 | 显示全部楼层
jefferyzhang 发表于 2020-3-4 10:45
试试apt的先卸了,我们装的时候都挺顺利的呢。。
估计遇到了什么奇怪的依赖了吧。。
我有空装个 ...

卸了apt装的scipy=1.1
使用apt装scipy1.3 包不存在
使用pip装scipy1.3  报错依旧如上
回复

使用道具 举报

tomyhome

中级会员

积分
258
发表于 2020-3-4 11:10:51 | 显示全部楼层
kexuejia 发表于 2020-3-4 10:50
卸了apt装的scipy=1.1
使用apt装scipy1.3 包不存在
使用pip装scipy1.3  报错依旧如上 ...

我也是同样的问题,不知道是不是系统哪里设置错误
回复

使用道具 举报

tomyhome

中级会员

积分
258
发表于 2020-3-4 11:17:58 | 显示全部楼层
jefferyzhang 发表于 2020-3-4 10:49
我们试过了,没问题。。。你们不要去乱改官方源。

我真没改官方源
root@debian10:~# apt install python3-scipy
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Suggested packages:
  python-scipy-doc
The following NEW packages will be installed:
  python3-scipy
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 9306 kB of archives.
After this operation, 39.2 MB of additional disk space will be used.
Get:1 http://ftp.cn.debian.org/debian buster/main arm64 python3-scipy arm64 1.1.0-7 [9306 kB]
Fetched 9306 kB in 20s (472 kB/s)                                                                        
Selecting previously unselected package python3-scipy.
(Reading database ... 127155 files and directories currently installed.)
Preparing to unpack .../python3-scipy_1.1.0-7_arm64.deb ...
Unpacking python3-scipy (1.1.0-7) ...
Setting up python3-scipy (1.1.0-7) ...
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-3-4 11:29:07 | 显示全部楼层
kexuejia 发表于 2020-3-4 10:50
卸了apt装的scipy=1.1
使用apt装scipy1.3 包不存在
使用pip装scipy1.3  报错依旧如上 ...

Looking in indexes: http://mirrors.aliyun.com/pypi/simple/, http://repo.rock-chips.com/pypi/simple

他这里用的明显是aliyun的源。
我们从一个干净的板子安装全套,目前一点问题没有。不知道你们怎么装的。。
回复

使用道具 举报

kexuejia

新手上路

积分
42
发表于 2020-3-4 11:54:56 | 显示全部楼层
感觉不是源的问题。由于官方源下载较慢,使用以下官方源的路径下载安装包https://files.pythonhosted.org/p ... /scipy-1.3.0.tar.gz
再次使用sudo pip3 install scipy-1.3.0.tar.gz.安装本地包,依旧报108楼的错误。
回复

使用道具 举报

tomyhome

中级会员

积分
258
发表于 2020-3-4 13:38:20 | 显示全部楼层
jefferyzhang 发表于 2020-3-4 11:29
Looking in indexes: http://mirrors.aliyun.com/pypi/simple/, http://repo.rock-chips.com/pypi/simple ...

刚刚通过重新安装系统,然后完全按照教程来,一样出现scipy不能正常安装的问题,没修改过任何源,也用apt试过了,TB-RK3399ProD板,debian10系统,没修改过apt的源,没修改过pip的源,用apt安装python3-scipy绝对是1.1.0版本
回复

使用道具 举报

jefferyzhang

超级版主

积分
5448
 楼主| 发表于 2020-3-4 14:35:50 | 显示全部楼层
本帖最后由 jefferyzhang 于 2020-3-4 14:51 编辑
kexuejia 发表于 2020-3-4 11:54
感觉不是源的问题。由于官方源下载较慢,使用以下官方源的路径下载安装包https://files.pythonhosted.org/p ...

稍等下,相关工程师正在测试
回复

使用道具 举报

kexuejia

新手上路

积分
42
发表于 2020-3-4 16:28:23 | 显示全部楼层
jefferyzhang 发表于 2020-3-4 14:35
稍等下,相关工程师正在测试

遇到的问题:
no lapack/blas resources found

解决方案:
sudo apt-get install gcc gfortran python-dev libopenblas-dev liblapack-dev cython

参考链接:https://docs.scipy.org/doc/scipy ... eneric-instructions

安装完上述依赖,再安装scipy就可以正常操作了
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表